//
//  ViewController.swift
//  Hybrid
//
//  Created by Mark Meretzky on 1/6/15.
//  Copyright (c) 2015 Mark Meretzky. All rights reserved.
//

import UIKit;

class ViewController: UIViewController {
	let color: UIColor;

	init(title: String, color: UIColor) {
		self.color = color;	//self.color is the property, color is the parameter
		super.init(nibName: nil, bundle: nil);
		tabBarItem.image = UIImage(named: "tabbaricon.png");
		self.title = title;
		
		var red: CGFloat = 0;
		var green: CGFloat = 0;
		var blue: CGFloat = 0;
		var alpha: CGFloat = 0;
		let success: Bool = color.getRed(&red, green: &green, blue: &blue, alpha: &alpha);
		if success {
			let redFormatted: String = String(format: "%02X", Int(255 * red));
			let greenFormatted: String = String(format: "%02X", Int(255 * green));
			let blueFormatted: String = String(format: "%02X", Int(255 * blue));
			navigationItem.prompt = "The RGB of \(title) is \(redFormatted) \(greenFormatted) \(blueFormatted).";
		}
	}
	
	//Not called
	required init(coder aDecoder: NSCoder) {
		color = UIColor.whiteColor();
		super.init(coder: aDecoder);
	}

	override func viewDidLoad() {
		super.viewDidLoad()
		// Do any additional setup after loading the view, typically from a nib.
		view.backgroundColor = color
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning()
		// Dispose of any resources that can be recreated.
	}


}

